Subject: Re: [PATCH 3/3] grep: recurse in-process using 'struct repository'

From: Brandon Williams <[email-masked]>
Date: Wed, 12 Jul 2017 11:56:49 -0700

On 07/11, Stefan Beller wrote:
> On Tue, Jul 11, 2017 at 3:04 PM, Brandon Williams <[email-masked]> wrote:
> 
> > +       if (repo_submodule_init(&submodule, superproject, path))
> > +               return 0;
> 
> What happens if we go through the "return 0", do we rather want to
> print an error ?

Should just indicate that there is no hit in the submodule, but if we
couldn't init the submodule maybe you're right and we should issue a
warning.

> 
> > +       /* add objects to alternates */
> > +       add_to_alternates_memory(submodule.objectdir);
> 
> Not trying to make my object series more important than it is... but
> we really don't want to spread this add_to_alternates_memory hack. :/

Nope your object series is definitely important IMO.  As I commented in
my reply to Jonathan, I'm not sure if we want to wait till that becomes
a reality or not.

> 
> I agree with Jacob that a patch with such a diffstat is a joy to review. :)
> 
> Thanks,
> Stefan

-- 
Brandon Williams